<h1>{{labelTranslateEnum.archiveOrders | translate}}</h1>

<div [solidifyFocusFirstElement]="true"
     class="cards-container"
>
  <mat-card (click)="navigate(resource.path)"
            (onEnter)="navigate(resource.path)"
            *ngFor="let resource of getOrderResources()"
            [tabIndex]="0"
            class="card"
            solidifyShortCuts
  >
    <mat-card-header [matBadgeHidden]="(resource.numberNew | isNullOrUndefined) || resource.numberNew() === 0"
                     [matBadge]="$any((resource.numberNew | isNullOrUndefined) || resource.numberNew())"
                     class="card-header"
                     matBadgeColor="primary"
                     matBadgeSize="medium"
    >
      <div class="avatar"
           mat-card-avatar
      >
        <solidify-icon [iconName]="resource.avatarIcon"
                       class="size-30"
        ></solidify-icon>
      </div>
      <mat-card-title>{{resource.titleToTranslate | translate}}</mat-card-title>
      <mat-card-subtitle>{{resource.subtitleToTranslate | translate}}</mat-card-subtitle>
    </mat-card-header>
  </mat-card>
</div>
